import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeLayoutAsideComponent from "./src/layout-aside.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeLayoutAside = Object.assign({}, VxeLayoutAsideComponent, {
  install(app) {
    app.component(VxeLayoutAsideComponent.name, VxeLayoutAsideComponent);
  }
});
dynamicApp.use(VxeLayoutAside);
VxeUI.component(VxeLayoutAsideComponent);
const LayoutAside = VxeLayoutAside;
export {
  LayoutAside,
  VxeLayoutAside,
  VxeLayoutAside as default
};
